/**
 * Copyright (c) 2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.extension.command.monitoring.so.components.framework.defect;

import org.ow2.petals.cli.extension.command.monitoring.so.api.EmittableDefect;

/**
 * The emittable defect about no more message exchange processor in the object
 * pool of the component.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class NoMoreMessageExchangeProcessorObject implements EmittableDefect {

    @Override
    public String getName() {
        return "org.ow2.petals.component.framework.process.message.processor.object.pool.exhausted";
    }

    @Override
    public String getDescription() {
        return "No more message exchange processor is available in the object pool to process message exchange !";
    }
    
}
