/**
 * Copyright (c) 2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli;

import java.io.PrintStream;
import java.util.Map;

import org.ow2.petals.cli.api.command.Command;
import org.ow2.petals.cli.api.connection.ConnectionParameters;
import org.ow2.petals.cli.api.exception.DuplicatedCommandException;
import org.ow2.petals.cli.api.exception.NoInteractiveShellException;
import org.ow2.petals.cli.api.exception.ShellException;
import org.ow2.petals.cli.api.shell.Shell;

/**
 * A dummy shell providing a standard output and an error output.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
// TODO: Move this dummy tools in a dedicated project
public class DummyShell implements Shell {

    @Override
    public void registersCommand(Command command) throws DuplicatedCommandException,
            IllegalArgumentException {

    }

    @Override
    public Map<String, Command> getCommands() {
        return null;
    }

    @Override
    public void exit(int status) {

    }

    @Override
    public void setExitStatus(int exitStatus) {

    }

    @Override
    public PrintStream getPrintStream() {
        return System.out;
    }

    @Override
    public String interpolate(String str) {
        return null;
    }

    @Override
    public PrintStream getErrorStream() {
        return System.err;
    }

    @Override
    public String askQuestion(String question, boolean isReplyPassword)
            throws NoInteractiveShellException, ShellException {
        return null;
    }

    @Override
    public boolean confirms(String message) throws ShellException {
        return false;
    }

    @Override
    public boolean isInteractive() {
        return false;
    }

    @Override
    public void setPrompt(String prompt) {
    }

    @Override
    public boolean isDebugModeEnable() {
        return false;
    }

    @Override
    public void setConnectionParameters(ConnectionParameters connectionParameters) {
        // NOP
    }

    @Override
    public ConnectionParameters getConnectionParameters() {
        return null;
    }

    @Override
    public boolean isAsynchronousCommandInProgress() {
        return false;
    }

    @Override
    public void addAsynchronousCommand() {
        // NOP
    }

    @Override
    public void removeAsynchronousCommand() {
        // NOP
    }

}